Sun GlassFish(tm) Message Queue v4.4

## javax.jms
Interface ConnectionFactory

All Known Subinterfaces:
  QueueConnectionFactory, TopicConnectionFactory, XAQueueConnectionFactory, XATopicConnectionFactory

All Known Implementing Classes:
  BasicConnectionFactory, ConnectionFactory, QueueConnectionFactory, TopicConnectionFactory, XAConnectionFactory, XAQueueConnectionFactory, XATopicConnectionFactory

    public interface ConnectionFactory

A `ConnectionFactory` object encapsulates a set of connection configuration parameters that has been defined by an administrator. A client uses it to create a connection with a JMS provider.

A `ConnectionFactory` object is a JMS administered object and supports concurrent use.

JMS administered objects are objects containing configuration information that are created by an administrator and later used by JMS clients. They make it practical to administer the JMS API in the enterprise.

Although the interfaces for administered objects do not explicitly depend on the Java Naming and Directory Interface (JNDI) API, the JMS API establishes the convention that JMS clients find administered objects by looking them up in a JNDI namespace.

An administrator can place an administered object anywhere in a namespace. The JMS API does not define a naming policy.

It is expected that JMS providers will provide the tools an administrator needs to create and configure administered objects in a JNDI namespace. JMS provider implementations of administered objects should be both `javax.jndi.Referenceable` and `java.io.Serializable` so that they can be stored in all JNDI naming contexts. In addition, it is recommended that these implementations follow the JavaBeansTM design patterns.

This strategy provides several benefits:

- It hides provider-specific details from JMS clients.
- It abstracts administrative information into objects in the Java programming language ("Java objects") that are easily organized and administered from a common management console.
- Since there will be JNDI providers for all popular naming services, this means that JMS providers can deliver one implementation of administered objects that will run everywhere.

An administered object should not hold on to any remote resources. Its lookup should not use remote resources other than those used by the JNDI API itself.

Clients should think of administered objects as local Java objects. Looking them up should not have any hidden side effects or use surprising amounts of local resources.

See Also:
  `Connection`, `QueueConnectionFactory`, `TopicConnectionFactory`

Method Summary
`Connection` `createConnection()` Creates a connection with the default user identity.
`Connection` `createConnection(String userName, String password)` Creates a connection with the specified user identity.

Method Detail

### createConnection

    Connection createConnection()
                                throws JMSException

  Creates a connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Returns:
    a newly created connection
  Throws:
    `JMSException` - if the JMS provider fails to create the connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.
  Since:
    1.1

### createConnection

    Connection createConnection(String userName,
                                String password)
                                throws JMSException

  Creates a connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created connection
  Throws:
    `JMSException` - if the JMS provider fails to create the connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.
  Since:
    1.1

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.